import { Locale } from '../type';
export default function useCopy({ content, locale }: {
    content?: string;
    locale?: Locale;
}): {
    containerRef: import('react').RefObject<HTMLElement | null>;
    copied: boolean;
    copy: (e: React.MouseEvent) => void;
    texts: Record<string, any>;
};
